Subject: [MEXT] [Fwd: I-D Action:draft-ietf-mext-nemo-pd-02.txt]

From: marcelo bagnulo braun <[email-masked]>
Date: Tue, 10 Mar 2009 10:28:49 +0100

Hi,

This draft went over WGLC and received some comments.
The authors have produced this new version addressing the comments 
received.
We would like to ask people that provided commnets to check if they have 
been addressed before the april 1st.
We will ship the document to the IESG by then.

Regards, marcelo

-------- Mensaje original --------
Asunto: 	[MEXT] I-D Action:draft-ietf-mext-nemo-pd-02.txt
Fecha: 	Fri, 6 Mar 2009 12:00:01 -0800 (PST)
De: 	[email-masked]
Para: 	[email-masked]
CC: 	[email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Mobility EXTensions for IPv6 Working Group of the IETF.

	Title           : DHCPv6 Prefix Delegation for NEMO
	Author(s)       : R. Droms, et al.
	Filename        : draft-ietf-mext-nemo-pd-02.txt
	Pages           : 12
	Date            : 2009-03-06

One aspect of network mobility support is the assignment of a prefix
or prefixes to a Mobile Router (MR) for use on the links in the
Mobile Network.  DHCPv6 prefix delegation can be used for this
configuration task.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-mext-nemo-pd-02.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 10 Mar 2009 11:16:27 +0100

> We will ship the document to the IESG by then.

I commented that figures are necessary: a simple topology and a simple 
message exchange.  I could draw them.

Alex

> ------------------------------------------------------------------------
>

---

From: marcelo bagnulo braun <[email-masked]>
Date: Tue, 10 Mar 2009 11:26:31 +0100

please do and send them to the ml
thanks, marcelo

Alexandru Petrescu escribió:
>> We would like to ask people that provided commnets to check if they 
>> have been addressed before the april 1st.

---

From: Julien Laganier <[email-masked]>
Date: Tue, 10 Mar 2009 11:48:36 +0100

> message exchange.  I could draw them.

Please do then.

--julien

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 10 Mar 2009 17:41:05 -0800

Hello,

I have a few minor comments. Sorry for not sending these comments during 
the WG last call.

In section 3.5

>    Therefore, when querying an HA to determine if the HA provides
>    DHCPv6PD service, the MR MUST discontinue sending Solicit messages to
>    the HA after sending 6 Solicit messages, and conclude that the HA
>    will not provide DHCPv6PD service.

Why '6' attempts? Why not '3'? Just curious. Six attempts seems like a lot.

>    The MR may choose to probe the HAs for DHCPv6PD service sequentially
>    or in parallel.

Shouldn't this be done sequentially? If done in parallel, you could  end 
up in a scenario where the DHCPv6 Delegating Router receives two 
requests through two different home agents acting as relay agents from 
the same mobile router.

>    Use of the DHCPv6 relay agent function with DHCPv6PD requires that
>    there be some mechanism through which routing information for the
>    delegated prefixes can be added to the appropriate routing
>    infrastructure.  If the HA is acting as a DHCPv6 relay agent, the HA
>    SHOULD add a route to the delegated prefix and advertise that route
>    after receiving a binding update for the prefix from the RR
>    [RFC3963].

The above paragraph kind of modifies the mobile router behavior 
described in RFC 3963. The mobile router first sends a Binding Update to 
setup the bi-directional tunnel, then runs DHCPv6 prefix delegation to 
obtain the mobile network prefix and then sends another Binding Update 
with the mobile network prefix. The second Binding Update is what sets 
up forwarding the mobile network prefix and causes the home agent to 
start advertising the mobile network prefix. Perhaps this should pointed 
out explicitly in the draft. The above paragraph is the first piece of 
text where you realize you need to send two binding updates.

I have another question. Section 3.1 says

>    If the MR has one or more active delegated prefixes, the MR initiates
>    a DHCPv6 message exchange with a DHCPv6 Rebind message as described
>    in section 18.1.2 of RFC 3315 and section 12.1 of RFC 3633.

In this case, can the mobile router include the mobile network prefix in 
the first Binding Update itself? Or does it have to first setup the 
bidirectional tunnel with the home agent, perform a DHCPv6 message 
exchange with a DHCPv6 Rebind message and then send a Binding Update 
again for setting up forwarding for the mobile network prefix?

>                       Discussion: If NEMO may be deployed with the HA
>                                   and the DHCPv6 server in different
>                                   administrative domains, this text
>                                   should be extended to include the use
>                                   of IKE with public keys.

Can this ever happen? IMO, it shouldn't....

Vijay

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 11 Mar 2009 11:54:27 +0100

> text where you realize you need to send two binding updates.

I think this could be discussed further.

If MR uses straight DHCP not over a tunnel, then it could do DHCP then a 
single BU.

But I'll come up first with illustration of topology and message 
exchanges then we could discuss further.

Alex

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 11 Mar 2009 07:33:46 -0700 (PDT)

Hi Vijay,

  Pls. see inline.

Regards,

Behcet

________________________________

From: Vijay Devarapalli <[email-masked]>
To: [email-masked]
Cc: Ryuji Wakikawa <[email-masked]>; mext <[email-masked]>
Sent: Tuesday, March 10, 2009 8:41:05 PM
Subject: [MEXT] Comments on draft-ietf-mext-nemo-pd-02.txt

[behcet] I didn't know that RFC 3963 mandated DHCPv6 PD. Also prescribing a certain architecture?

and then sends another Binding Update with the mobile network prefix. The second Binding Update is what sets up forwarding the mobile network prefix and causes the home agent to start advertising the mobile network prefix. Perhaps this should pointed out explicitly in the draft. The above paragraph is the first piece of text where you realize you need to send two binding updates.

>    in section 18.1.2 of RFC 3315 and section 12.1 of RFC 3633.

In this case, can the mobile router include the mobile network prefix in the first Binding Update itself? Or does it have to first setup the bidirectional tunnel with the home agent, perform a DHCPv6 message exchange with a DHCPv6 Rebind message and then send a Binding Update again for setting up forwarding for the mobile network prefix?

Vijay

marcelo bagnulo braun wrote:
> The authors have produced this new version addressing the comments received.
> We would like to ask people that provided commnets to check if they have been addressed before the april 1st.

Hello,

I have a few minor comments. Sorry for not sending these comments during the WG last call.

In section 3.5

>    The MR may choose to probe the HAs for DHCPv6PD service sequentially

Shouldn't this be done sequentially? If done in parallel, you could  end up in a scenario where the DHCPv6 Delegating Router receives two requests through two different home agents acting as relay agents from the same mobile router.

>    after receiving a binding update for the prefix from the RR

The above paragraph kind of modifies the mobile router behavior described in RFC 3963. The mobile router first sends a Binding Update to setup the bi-directional tunnel, then runs DHCPv6 prefix delegation to obtain the mobile network prefix

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 12 Mar 2009 16:05:50 +0100

Julien Laganier a écrit :
>>> This draft went over WGLC and received some comments. The authors
>>>  have produced this new version addressing the comments received.
>>>  We would like to ask people that provided commnets to check if 
>>> they have been addressed before the april 1st. We will ship the 
>>> document to the IESG by then.
>> 
>> I commented that figures are necessary: a simple topology and a 
>> simple message exchange.  I could draw them.
> 
> Please do then.

Please see below three topologies and three message exchange diagrams.
They correspond to the first descriptions in nemo-pd-02 draft (the draft
does have more description than just that.)

What do you think about these 3 topologies and message exchange
diagrams?  Do you have any preferrence (the first is the simplest)?

Topologies
----------
                                    Legend
                                    RR: DHCPv6 Requesting Router
                                    DR: DHCPv6 Delegating Router
                                    DRA: DHCPv6 Relay Agent
                                    HA: Home Agent
                                    MR: Mobile Router

      ----      /-----------\      ----
     | MR |-----|  Internet |-----| HA |
     |(RR)|     \-----------/     |(DR)|
      ----                         ----

      ----      /-----------\      -----       ------
     | MR |-----|  Internet |-----| HA  |-----|DHCPv6|
     |(RR)|     \-----------/     |(DRA)|     |Server|
      ----                         -----       ------

      -----     /-----------\      -----
     | MR  |----|  Internet |-----| HA  |
     |(RR) |    \-----------/     |(DR) |
     |(DRA)|                       -----
      -----

Message Exchanges
-----------------

                   MR                         HA
	         (RR)                       (DR)
	           |       Binding Update    |
	           |------------------------>|
	           |       (HoA, CoA)        |
	           |                         |
	           |       Binding Ack       |
	           |<------------------------|
	           |                         |
	           |       DHCPv6 Solicit    |
	           |--=====================->|
	           |                         |
	           |       DHCPv6 Advertise  |
	           |<-=====================--|
	           |                         |
	           |       DHCPv6 Request    |
	           |--=====================->|
	           |                         |
	           |       DHCPv6 Reply      |
	           |<-=====================--|
	           | (Mobile Network Prefix) |
	           |                         |

           MR                         HA                      DHCPv6
          (RR)                       (DRA)                    Server
            |       Binding Update    |                         |
            |------------------------>|                         |
            |       (HoA, CoA)        |                         |
            |                         |                         |
            |       Binding Ack       |                         |
            |<------------------------|                         |
            |                         |                         |
            |       DHCPv6 Solicit    |       DHCPv6 Solicit    |
            |--=====================->|------------------------>|
            |                         |                         |
            |       DHCPv6 Advertise  |       DHCPv6 Advertise  |
            |<-=====================--|<------------------------|
            |                         |                         |
            |       DHCPv6 Request    |       DHCPv6 Request    |
            |--=====================->|------------------------>|
            |                         |                         |
            |       DHCPv6 Reply      |       DHCPv6 Reply      |
            |<-=====================--|<------------------------|
            | (Mobile Network Prefix) | (Mobile Network Prefix) |
            |                         |                         |

                      MR
	            (RR)                        HA
	            (DRA)                      (DR)
	              |       Binding Update    |
	              |------------------------>|
	              |       (HoA, CoA)        |
	              |                         |
	              |       Binding Ack       |
	              |<------------------------|
	          --  |                         | 	
	         /  \ |				|
	         \   *|				|
	   DHCPv6 -- >|       DHCPv6 Solicit    |
	   Solicit    |--=====================->|
	              |                         |
	              |       DHCPv6 Advertise  |
	          --  |<-=====================--|
	         /  \ |                         |
	         \   *|       DHCPv6 Request    |
	   DHCPv6 -- >|--=====================->|
	   Request    |                         |
	              |       DHCPv6 Reply      |
	              |<-=====================--|
	              | (Mobile Network Prefix) |
	              |                         |

Alex

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 12 Mar 2009 09:43:02 -0700 (PDT)

Hi Alex,
  Yes, the first is the simplest.
Are you saying that that's all we need?

I don't think so. I think you view DHCP PD as getting a prefix assigned. In fact it is not just that.
If it were just that then you don't really need DHCP PD, it could be solved using PCO.

Regards,

Behcet

________________________________
From: Alexandru Petrescu <[email-masked]>
To: Julien Laganier <[email-masked]>
Cc: mext <[email-masked]>
Sent: Thursday, March 12, 2009 10:05:50 AM
Subject: Re: [MEXT] [Fwd: I-D Action:draft-ietf-mext-nemo-pd-02.txt]

Julien Laganier a écrit :
>>>  We would like to ask people that provided commnets to check if they have been addressed before the april 1st. We will ship the document to the IESG by then.
>> 
>> I commented that figures are necessary: a simple topology and a simple message exchange.  I could draw them.
> 
> Please do then.

Topologies
----------
                                  Legend

    ----      /-----------\      ----

Message Exchanges
-----------------

                  MR                        HA
            (RR)                      (DR)
              |      Binding Update    |

          MR                        HA                      DHCPv6
        (RR)                      (DRA)                    Server
          |      Binding Update    |                        |

                    MR
                (RR)                        HA
                (DRA)                      (DR)
                  |      Binding Update    |

Alex

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 12 Mar 2009 17:59:18 +0100

>   Yes, the first is the simplest.

I think so too.

> Are you saying that that's all we need?

No, absolutely not.  But I think we should be able to draw all the 
scenarios we need, prior to submitting to IESG.

Not all of them are clear to me (e.g.  "If the DHCPv6PD DR function is 
implemented in the HA for the MR, no relay agent function is required." 
- where?)

Another example - if the MR is a DHCPv6 Relay then will it send a 
relayed Solicit towards DHCPv6 Server as a straight message (not 
tunnelled)?  I think so, but not sure the draft implies so.  And if yes, 
then BU/BAck aren't necessary before the DHCP exchanges.  And if yes, 
the the later BU/BAck could contain the MNP in NEMO explicit mode.  But 
all this is not clear in the draft and thus I didn't picture it.

> If it were just that then you don't really need DHCP PD, it could be 

PCO?

Alex

> *From:* Alexandru Petrescu <[email-masked]>
> *To:* Julien Laganier <[email-masked]>
> *Cc:* mext <[email-masked]>
> *Sent:* Thursday, March 12, 2009 10:05:50 AM
> *Subject:* Re: [MEXT] [Fwd: I-D Action:draft-ietf-mext-nemo-pd-02.txt]
> 
> they have been addressed before the april 1st. We will ship the document 
> to the IESG by then.
>  >>
> [email-masked] <mailto:[email-masked]>

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 12 Mar 2009 11:42:13 -0700 (PDT)

From: Alexandru Petrescu <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Cc: Julien Laganier <[email-masked]>; mext <[email-masked]>
Sent: Thursday, March 12, 2009 11:59:18 AM
Subject: Re: [MEXT] [Fwd: I-D Action:draft-ietf-mext-nemo-pd-02.txt]

[behcet] I agree with you. All these complications arise from the choice made for RR & DR in nemo-pd draft. 
Also, as Vijay pointed out 
>   If the HA is acting as a DHCPv6 relay agent, the HA
this (the above) should be the case always not just for the case mentioned in the above case. 
However in DHCP PD, DR does not advertise routes, it gives out prefixes.

PCO?

[behcet] Never mind.

Alex

I think so too.

> Are you saying that that's all we need?

No, absolutely not..  But I think we should be able to draw all the scenarios we need, prior to submitting to IESG.

Not all of them are clear to me (e.g.  "If the DHCPv6PD DR function is implemented in the HA for the MR, no relay agent function is required." - where?)

Another example - if the MR is a DHCPv6 Relay then will it send a relayed Solicit towards DHCPv6 Server as a straight message (not tunnelled)?  I think so, but not sure the draft implies so.  And if yes, then BU/BAck aren't necessary before the DHCP exchanges.  And if yes, the the later BU/BAck could contain the MNP in NEMO explicit mode.  But all this is not clear in the draft and thus I didn't picture it.

---

From: Ryuji Wakikawa <[email-masked]>
Date: Mon, 23 Mar 2009 05:13:09 -0700

Hi Marcelo and authors

My comments are not applied to the new version.
It still said that DHCP packets are tunneled between DHCP-relay (MR) and HA.

The current draft cannot work with RFC-3963 NEMO BS,
since it assumes MR switching implicit and explicit mode on the fly.
(which is not assumed in 3963)

RFC3963 said
   A Mobile Router MUST implement at least one mode and MAY implement
   both.  In the latter case, local configuration on the Mobile Router
   decides which mode to use.  This is out of scope for this document.

We probably update RFC3963 or change DHCP-PD to overwrite 3963

ryuji

---

From: Ralph Droms <[email-masked]>
Date: Thu, 26 Mar 2009 13:55:05 -0700

Thanks, Ryuji.  We'll take this issue into account when we revise the  
I-D (after I get back home from SF).

- Ralph

On Mar 23, 2009, at 5:13 AM 3/23/09, Ryuji Wakikawa wrote:

>> This draft is a work item of the Mobility EXTensions for IPv6  
>> Working Group
>> of the IETF.
>>
>>